<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<parent>
        <groupId>com.huashe.park</groupId>
        <artifactId>bd-park</artifactId>
        <version>1.0-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>park-core</artifactId>
    <version>${park.version}</version>

    <description>
        park-core核心模块
    </description>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>1.8</java.version>
        <ruoyi.version>3.8.8</ruoyi.version>
        <commons.io.version>2.13.0</commons.io.version>
        <apache.commons.version>3.12.0</apache.commons.version>
    </properties>

    <dependencies>
        <!-- Alibaba Fastjson -->
        <dependency>
            <groupId>com.alibaba.fastjson2</groupId>
            <artifactId>fastjson2</artifactId>
        </dependency>
        <!-- Apache Lang3 -->
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
            <version>${apache.commons.version}</version>
        </dependency>

        <!-- Commons Io -->
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
            <version>${commons.io.version}</version>
        </dependency>

        <dependency>
            <groupId>com.huashe.common</groupId>
            <artifactId>prod-commons</artifactId>
        </dependency>
        <dependency>
            <groupId>com.huashe.park</groupId>
            <artifactId>park-common</artifactId>
            <version>${park.version}</version>
        </dependency>
        <dependency>
            <groupId>com.huashe.park</groupId>
            <artifactId>park-domain</artifactId>
            <version>${park.version}</version>
        </dependency>
        <dependency>
            <groupId>com.huashe.park</groupId>
            <artifactId>park-infrastructure</artifactId>
            <version>${park.version}</version>
        </dependency>
    </dependencies>
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.0</version>
                <configuration>
                    <source>${java.version}</source>
                    <target>${java.version}</target>
                    <encoding>${project.build.sourceEncoding}</encoding>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>
